Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666074 - www-apache/mod_log_sql-1.101-r3: stabilisation (was: Validate DEPEND on virtual/mysql)
Summary: www-apache/mod_log_sql-1.101-r3: stabilisation (was: Validate DEPEND on virtu...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks: EAPI5Removal 763480
  Show dependency tree
 
Reported: 2018-09-12 17:37 UTC by Brian Evans
Modified: 2021-04-18 17:55 UTC (History)
0 users

See Also:
Package list:
www-apache/mod_log_sql-1.101-r3
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:37:15 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-07 15:24:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=680d0e242624cf9db80d3bac84e905e8c51131ec

commit 680d0e242624cf9db80d3bac84e905e8c51131ec
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-07 15:24:04 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-07 15:24:04 +0000

    www-apache/mod_log_sql: Revbump for dependency and EAPI
    
    non-maintainer commit
    
    Bug: https://bugs.gentoo.org/666074
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 www-apache/mod_log_sql/mod_log_sql-1.101-r3.ebuild | 64 ++++++++++++++++++++++
 1 file changed, 64 insertions(+)
Comment 2 Agostino Sarubbo gentoo-dev 2021-03-26 15:31:55 UTC
amd64 stable
Comment 3 Sam James archtester gentoo-dev Security 2021-03-28 07:13:33 UTC
x86 done

all arches done
Comment 4 Larry the Git Cow gentoo-dev 2021-04-18 17:55:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ea946729df78495c9bbe37c8e8cc96af39ba56c

commit 0ea946729df78495c9bbe37c8e8cc96af39ba56c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-18 11:16:45 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-18 17:55:05 +0000

    www-apache/mod_log_sql: Drop 1.101-r2
    
    Closes: https://bugs.gentoo.org/666074
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 www-apache/mod_log_sql/mod_log_sql-1.101-r2.ebuild | 61 ----------------------
 1 file changed, 61 deletions(-)